<?php
/**
*
* @package MoT CheckSearch v0.0.1
* @copyright (c) 2025 Mike-on-Tour
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace mot\checksearch\event;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class mot_checksearch_listener implements EventSubscriberInterface
{
	public static function getSubscribedEvents()
	{
		return array(
			'core.search_modify_param_before'	=> 'load_sql_params',
		);
	}

	/** @var \phpbb\db\driver\driver_interface */
	protected $db;

	/** @var string phpBB phpbb root path */
	protected $root_path;

	/** @var string PHP extension */
	protected $php_ext;

	public function __construct(\phpbb\db\driver\driver_interface $db, $root_path, $php_ext)
	{
		$this->db = $db;
		$this->root_path = $root_path;
		$this->php_ext = $php_ext;
	}

	/**
	 * Load SQL params
	 *
	 * @param \phpbb\event\data $event
	 */
	public function load_sql_params($event)
	{
		$sql_params = $event;
		$handle = fopen ($this->root_path . 'store/mot_checksearch.log', 'a');
		$msg = date(DATE_RSS) . "\n";
		fwrite ($handle, $msg);
		$msg = print_r($sql_params, true) . "\n\n";
		fwrite ($handle, $msg);
		fclose ($handle);
	}
}
